//+------------------------------------------------------------------+
//|                                             MTF_3 Trema Trix.mq4 |
//|                                      Copyright  2006, Keris2112 |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, Keris2112"
#property link      "http://www.forex-tsd.com"

#property indicator_separate_window
#property indicator_buffers 4
#property indicator_color1 Orange
#property indicator_color2 Gold
#property indicator_color3 DeepSkyBlue
#property indicator_color4 Blue
//#property indicator_level1 80
//#property indicator_level2 20


//---- input parameters
/*************************************************************************
PERIOD_M1   1
PERIOD_M5   5
PERIOD_M15  15
PERIOD_M30  30 
PERIOD_H1   60
PERIOD_H4   240
PERIOD_D1   1440
PERIOD_W1   10080
PERIOD_MN1  43200
You must use the numeric value of the timeframe that you want to use
when you set the TimeFrame' value with the indicator inputs.
---------------------------------------
MODE_SMA    0 Simple moving average, 
MODE_EMA    1 Exponential moving average, 
MODE_SMMA   2 Smoothed moving average, 
MODE_LWMA   3 Linear weighted moving average. 
You must use the numeric value of the MA Method that you want to use
when you set the 'ma_method' value with the indicator inputs.

**************************************************************************/
extern int TimeFrame=0;
extern int n0=7;
extern int n1=13;
extern int n2=35;
extern int Max_Length=200;
extern int Price=5;
// PriceField:  0=Hi/Low   1=Close/Close


double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];
double ExtMapBuffer4[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   
//---- indicator line
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexStyle(1,DRAW_LINE,STYLE_DOT);
   SetIndexBuffer(2,ExtMapBuffer3);
   SetIndexStyle(2,DRAW_LINE);
   SetIndexBuffer(3,ExtMapBuffer4);
   SetIndexStyle(3,DRAW_LINE,STYLE_DOT);   
   
//---- name for DataWindow and indicator subwindow label   
   switch(TimeFrame)
   {
      case 1 : string TimeFrameStr="Period_M1"; break;
      case 5 : TimeFrameStr="Period_M5"; break;
      case 15 : TimeFrameStr="Period_M15"; break;
      case 30 : TimeFrameStr="Period_M30"; break;
      case 60 : TimeFrameStr="Period_H1"; break;
      case 240 : TimeFrameStr="Period_H4"; break;
      case 1440 : TimeFrameStr="Period_D1"; break;
      case 10080 : TimeFrameStr="Period_W1"; break;
      case 43200 : TimeFrameStr="Period_MN1"; break;
      default : TimeFrameStr="Current Timeframe";
   } 
   IndicatorShortName("MTF Trema Trix("+n0+","+n1+","+n2+") "+TimeFrameStr);  
  }
//----
   return(0);
 
//+------------------------------------------------------------------+
//| MTF Stochastic                                                   |
//+------------------------------------------------------------------+
int start()
  {
   datetime TimeArray[];
   int    i,shift,limit,y=0,counted_bars=IndicatorCounted();
    
// Plot defined timeframe on to current timeframe   
   ArrayCopySeries(TimeArray,MODE_TIME,Symbol(),TimeFrame); 
   
   limit=Bars-counted_bars;
   for(i=0,y=0;i<limit;i++)
   {
   if (Time[i]<TimeArray[y]) y++; 
   
 /***********************************************************   
   Add your main indicator loop below.  You can reference an existing
      indicator with its iName  or iCustom.
   Rule 1:  Add extern inputs above for all neccesary values   
   Rule 2:  Use 'TimeFrame' for the indicator timeframe
   Rule 3:  Use 'y' for the indicator's shift value
 **********************************************************/  
   double Trix_Yellow    = iCustom(Symbol(),0,"3 TREMA Trix",7,13,35,200,5,2,0);
   double Trix_Red       = iCustom(Symbol(),0,"3 TREMA Trix",7,13,35,200,5,3,0);

   double Trix_Navy_Blue = iCustom(Symbol(),0,"3 TREMA Trix",7,13,35,200,5,0,0);
   double Trix_Sky_Blue  = iCustom(Symbol(),0,"3 TREMA Trix",7,13,35,200,5,1,0);
     
   ExtMapBuffer1[i]=iCustom(Symbol(),0,"3 TREMA Trix",7,13,35,200,5,2,y);
   ExtMapBuffer2[i]=iCustom(Symbol(),0,"3 TREMA Trix",7,13,35,200,5,3,y);
   ExtMapBuffer3[i]=iCustom(Symbol(),0,"3 TREMA Trix",7,13,35,200,5,0,y);
   ExtMapBuffer4[i]=iCustom(Symbol(),0,"3 TREMA Trix",7,13,35,200,5,1,y);
   
   
   }  
     
//
   
  
  
   return(0);
  }
//+------------------------------------------------------------------+